Skip to main content
GET
/
api
/
v1
/
api-keys
List API keys
curl --request GET \
  --url https://api.melius.com/api/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/api-keys"

headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "keyPrefix": "<string>",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdBy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "lastUsedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z"
  }
]
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Response

200

id
string<uuid>
required
name
string
required
keyPrefix
string
required
teamId
string<uuid>
required
createdBy
object
required
lastUsedAt
string<date-time> | null
required
createdAt
string<date-time>
required
expiresAt
string<date-time> | null
required
Last modified on July 9, 2026